Add a file to a batch file-input slot
curl --request POST \
--url https://api.datalinks.com/api/v1/build-specs/{buildSpecId}/file-inputs/{slot}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.datalinks.com/api/v1/build-specs/{buildSpecId}/file-inputs/{slot}/members"
payload = { "fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.datalinks.com/api/v1/build-specs/{buildSpecId}/file-inputs/{slot}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"slot": "<string>",
"fileIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}buildspecs
Add a file to a batch file-input slot
Adds one uploaded file to the slot’s bound set (for batch slots).
POST
/
build-specs
/
{buildSpecId}
/
file-inputs
/
{slot}
/
members
Add a file to a batch file-input slot
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Path Parameters
The file-input slot name declared in the pipeline manifest.
Body
application/json
The uploaded-file id to add to the slot.
Response
The updated slot bindings.
One entry per bound file-input slot.
Show child attributes
Show child attributes